# -*- mode: rpm-spec; mode: folding -*-
# vim: set ft=spec:
# vim600: set fdm=marker:
# $Id: design-bootloader-Compact.spec,v 1.9 2005/06/27 09:43:11 rider Exp $

%define theme	Compact

Name:         design-bootloader-%theme
Version:      2.9.8
Release:      alt1.2

Summary:      Graphical boot logo for lilo and syslinux.
License:      GPL
Group:        Graphics

Packager:     Anton Farygin <rider@altlinux.ru>

Source:	      %name-%version.tar.bz2
Patch0:       design-bootloader-Compact-2.9.8.alt.tatarian.1.patch

BuildArch:    i386 x86_64

# Automatically added by buildreq on Tue Mar 22 2005
BuildRequires: cpio gfxboot >= 2.5

%description
Here you find the graphical boot logo. Suitable for both lilo and syslinux.

%prep
%setup -q
%patch0 -p1

%post
%__ln_s -nf %theme/message /boot/splash/message

%preun
[ $1 = 0 ] || exit 0
[ "`readlink /boot/splash/message`" != %theme/message ] ||
    %__rm -f /boot/splash/message


%build
%make BINDIR=/usr/bin/

%install
%__install -d -m 755 %buildroot/boot/splash/%theme
%__install -d -m 755 %buildroot/%_datadir/gfxboot/%theme/
%__install -m 644 boot/message %buildroot/boot/splash/%theme/
%__install -m 644 install/bootlogo %buildroot%_datadir/gfxboot/%theme/

%files
%_datadir/gfxboot/%theme
/boot/splash/%theme

%changelog
* Mon Aug 22 2005 Alexey Gladkov <legion@altlinux.ru> 2.9.8-alt1.2
- added support tatarain laguage (Patch1).

* Tue Aug 09 2005 Anton D. Kachalov <mouse@altlinux.org> 2.9.8-alt1.1
- added x86_64 to BuildArch

* Mon Jun 27 2005 Anton Farygin <rider@altlinux.ru> 2.9.8-alt1
- belarusian translations added
- fixed #6664 (menu item down after keys from panel pressing)

* Tue Jun 07 2005 Anton Farygin <rider@altlinux.ru> 2.9.7-alt1
- updated translation

* Sat May 14 2005 Anton Farygin <rider@altlinux.ru> 2.9.6-alt1
- updated help and font for uk (#6829)

* Mon Apr 04 2005 Anton Farygin <rider@altlinux.ru> 2.9.4-alt1
- post scripts added

* Mon Apr 04 2005 Anton Farygin <rider@altlinux.ru> 2.9.3-alt1
- updated isolinux parameters

* Wed Mar 16 2005 Anton Farygin <rider@altlinux.ru> 2.9.2-alt1
- prepare for ALT Linux 3.0 Compact

* Thu Dec 23 2004 Anton Farygin <rider@altlinux.ru> 2.9.1-alt1
- prepare for next Master

* Tue Jun 15 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.4-alt1
- updated for Master 2.4

* Wed Feb 12 2003 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt1.1
- update boot picture

* Tue Feb 11 2003 Rider <rider@altlinux.ru> 2.2-alt1
- first build for ALT Linux

